<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Jalankan migrasi.
     */
    public function up(): void
    {
        // Membuat tabel makanans dengan relasi ke kategori
        Schema::create('makanans', function (Blueprint $table) {
            $table->id();  // id sebagai primary key
            $table->string('nama', 100);  // Kolom nama dengan panjang 100
            $table->unsignedBigInteger('kategori_id');  // Foreign key
            $table->float('lemak_jenuh');  // Kolom kalori
            $table->float('natrium');  // Kolom protein
            $table->float('kolesterol');  // Kolom lemak
            $table->float('kalori');  // Kolom karbohidrat
            $table->timestamps();

            // Menambahkan foreign key constraint
            $table->foreign('kategori_id')->references('id')->on('kategoris')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('makanans');
    }
};
